/****************************************************************************
**
** Copyright (C) 1992-2004 Trolltech AS. All rights reserved.
**
** This file is part of the compatibility classes of the Qt Toolkit.
**
** Licensees holding valid Qt Preview licenses may use this file in
** accordance with the Qt Preview License Agreement provided with the
** Software.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
** information about Qt Commercial License Agreements.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#ifndef Q3SIGNAL_H
#define Q3SIGNAL_H

#ifndef QT_H
#include "qcorevariant.h"
#include "qobject.h"
#endif // QT_H


class Q_COMPAT_EXPORT Q3Signal : public QObject
{
    Q_OBJECT

public:
    Q3Signal(QObject *parent=0, const char *name=0);
    ~Q3Signal();

    bool        connect(const QObject *receiver, const char *member);
    bool        disconnect(const QObject *receiver, const char *member=0);

    void        activate();

#ifdef QT_COMPAT
    QT_COMPAT bool        isBlocked() const
        { return QObject::signalsBlocked(); }
    QT_COMPAT void        block(bool b)
        { QObject::blockSignals(b); }
#ifndef QT_NO_VARIANT
    QT_COMPAT void        setParameter(int value);
    QT_COMPAT int        parameter() const;
#endif
#endif

#ifndef QT_NO_VARIANT
    void        setValue(const QCoreVariant &value);
    QCoreVariant        value() const;
#endif
signals:
#ifndef QT_NO_VARIANT
    void signal(const QCoreVariant&);
#endif
    void intSignal(int);

private:
#ifndef QT_NO_VARIANT
    QCoreVariant val;
#endif
private:        // Disabled copy constructor and operator=
#if defined(Q_DISABLE_COPY)
    Q3Signal(const Q3Signal &);
    Q3Signal &operator=(const Q3Signal &);
#endif
};


#endif // Q3SIGNAL_H
