/****************************************************************************
**
** Copyright (C) 1992-2004 Trolltech AS. All rights reserved.
**
** This file is part of the core module of the Qt Toolkit.
**
** Licensees holding valid Qt Preview licenses may use this file in
** accordance with the Qt Preview License Agreement provided with the
** Software.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
** information about Qt Commercial License Agreements.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#include "qcoreapplication.h"
#include <private/qcore_mac_p.h>

/*****************************************************************************
  Internal variables and functions
 *****************************************************************************/
static char    *appName = 0;                        // application name
static char *appFileName = 0;                       // application file name

/*****************************************************************************
  QCoreApplication utility functions
 *****************************************************************************/
const char *qAppName()                                // get application name
{
    if(!appName) {
        ProcessSerialNumber psn;
        if(GetCurrentProcess(&psn) == noErr) {
            QCFString cfstr;
            CopyProcessName(&psn, &cfstr);
            appName = strdup(static_cast<QString>(cfstr).latin1());
        } else if(QCoreApplication *app = QCoreApplication::instance()) {
            char *p = strrchr(app->argv()[0], '/');
            appName = strdup(p ? p + 1 : app->argv()[0]);
        }
    }
    return appName;
}

const char *qAppFileName()
{
    if(!appFileName) {
        QCFType<CFURLRef> bundleURL(CFBundleCopyExecutableURL(CFBundleGetMainBundle()));
        QCFString cfPath(CFURLCopyFileSystemPath(bundleURL, kCFURLPOSIXPathStyle));
        appFileName = strdup(static_cast<QString>(cfPath).latin1());
    }
    return appFileName;
}

