/****************************************************************************
**
** Copyright (C) 1992-2004 Trolltech AS. All rights reserved.
**
** This file is part of the widgets module of the Qt Toolkit.
**
** Licensees holding valid Qt Preview licenses may use this file in
** accordance with the Qt Preview License Agreement provided with the
** Software.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
** information about Qt Commercial License Agreements.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/


#include "qvbox.h"
#include "qlayout.h"
#ifndef QT_NO_VBOX

/*!
    \class QVBox qvbox.h
    \brief The QVBox widget provides vertical geometry management of
    its child widgets.

    \ingroup geomanagement
    \ingroup appearance
    \ingroup organizers

    All its child widgets will be placed vertically and sized
    according to their sizeHint()s. If you just need a layout (not a
    widget) use QVBoxLayout instead.

    \img qvbox-m.png QVBox

    \sa QHBox QGrid
*/


#ifdef QT_COMPAT
/*! \obsolete
    Constructs a vbox widget called \a name with parent \a parent and
    widget flags \a f.
 */
QVBox::QVBox(QWidget *parent, const char *name, Qt::WFlags f)
    :QHBox(Qt::Vertical, parent, f)
{
    QString nm(name);
    setObjectName(nm);
    layout()->setObjectName(nm);
}
#endif //QT_COMPAT

/*!
    Constructs a vbox widget with parent \a parent and
    widget flags \a f.
 */
QVBox::QVBox(QWidget *parent, Qt::WFlags f)
    :QHBox(Qt::Vertical, parent, f)
{
}

#endif
