/****************************************************************************
**
** Copyright (C) 1992-2004 Trolltech AS. All rights reserved.
**
** This file is part of the sql module of the Qt Toolkit.
**
** Licensees holding valid Qt Preview licenses may use this file in
** accordance with the Qt Preview License Agreement provided with the
** Software.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
** information about Qt Commercial License Agreements.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#include <qsqldriverplugin.h>
#include <qstringlist.h>
#include "../../../sql/drivers/db2/qsql_db2.h"

class QDB2DriverPlugin : public QSqlDriverPlugin
{
public:
    QDB2DriverPlugin();

    QSqlDriver* create(const QString &);
    QStringList keys() const;
};

QDB2DriverPlugin::QDB2DriverPlugin()
    : QSqlDriverPlugin()
{
}

QSqlDriver* QDB2DriverPlugin::create(const QString &name)
{
    if (name == QLatin1String("QDB2")) {
        QDB2Driver* driver = new QDB2Driver();
        return driver;
    }
    return 0;
}

QStringList QDB2DriverPlugin::keys() const
{
    QStringList l;
    l.append(QLatin1String("QDB2"));
    return l;
}

Q_EXPORT_PLUGIN(QDB2DriverPlugin)
